@echo off
REM sets the autostart start on on off depending on current state 
REM of autostart

if not exist c:\tools\start.on  goto turnon
if exist c:\tools\start.on goto turnoff


:turnon
echo AUTOSTART is ON >c:\tools\start.on
echo.
echo You have enabled the AUTOSTART feature. Save a STARTUP file with 
echo your custom startup parameters, so the Sniffer network analyzer 
echo automatically restarts and runs the way you want it to. Problems 
echo can occur if you do not do this. For example, if a token-ring analyzer
echo or monitor is attached to a 16 Mbps ring, and it restarts with the
echo ring speed defaulting to 4 Mbps, ring operation will be temporarily
echo interrupted.
echo To save a STARTUP file, first set the menu items. Then move to
echo File/Save/Setup and press Enter. In the prompt box, make sure
echo that the pathname includes C:\xxSNIFF\ (where xx is the topology).
echo Add the filename STARTUP, so that the full entry becomes 
echo C:\xxSNIFF\STARTUP (the analyzer appends the appropriate extension).
echo.
echo To save the Monitor configuration, start the user interface,
echo configure the Monitor options and EXIT the Monitor. The settings 
echo are automatically saved when you exit.
echo.
echo Auto restart is now enabled for this Sniffer Network Analyzer.
echo.

pause
goto exit

:turnoff
del \tools\start.on >NUL 
echo.
echo Auto restart is now disabled for this Sniffer Network Analyzer.
echo.
pause
goto exit

:exit
cd\
menu
